- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages: default System System.Caching System.Collections System.Data System.Data.ActiveRecord System.Data.ActiveRecord.Relations System.Data.ActiveRecord.Scaffold System.Data.ActiveReecord.Scaffold.InputBuilder System.Data.Commom.Sqlite System.Data.Common System.Data.Common.Mssql System.Data.Common.Mysql System.Data.Common.Oracle System.Data.Common.Pgsql System.Data.Common.Sqlite System.Data.DataGateway System.Data.SqlMap System.Data.SqlMap.Configuration System.Data.SqlMap.Statements System.Exceptions System.I18N System.IO System.Security System.Util System.Web System.Web.Services System.Web.UI System.Web.UI.ActiveControls System.Web.UI.WebControls System.Web.UI.WebControls.assets System.Xml Classes: TActiveRecord TActiveRecordChangeEventParameter TActiveRecordConfig TActiveRecordConfigurationException TActiveRecordCriteria TActiveRecordException TActiveRecordGateway TActiveRecordInvalidFinderResult TActiveRecordManager |
Keyword
# Class TActiveRecordCriteria
    TComponent
       |
       --TSqlCriteria
          |
          --TActiveRecordCriteria
Search criteria for Active Record. Criteria object for active record finder methods. Usage:

     $criteria = new TActiveRecordCriteria;
     $criteria->Condition = 'username = :name AND password = :pass';
     $criteria->Parameters[':name'] = 'admin';
     $criteria->Parameters[':pass'] = 'prado';
     $criteria->OrdersBy['level'] = 'desc';
     $criteria->OrdersBy['name'] = 'asc';
     $criteria->Limit = 10;
     $criteria->Offset = 20;
Since: 3.1 Author: Wei Zhuo <weizho[at]gmail[dot]com>
Method Summary
Methods Inherited From TSqlCriteria
TSqlCriteria::getCondition(), TSqlCriteria::getIsNamedParameters(), TSqlCriteria::getLimit(), TSqlCriteria::getOffset(), TSqlCriteria::getOrdersBy(), TSqlCriteria::getParameters(), TSqlCriteria::setCondition(), TSqlCriteria::setLimit(), TSqlCriteria::setOffset(), TSqlCriteria::setOrdersBy(), TSqlCriteria::setParameters(), TSqlCriteria::__toString()
Methods Inherited From TComponent
TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()